<script>
import Select from "@/components/Select.vue";
import SvgIcon from "@/components/SvgIcon.vue";
import MainDialog from "@/components/dialog/MainDialog.vue";

export default {
  name: "EnergyList",
  components: {
    MainDialog,
    Select,
    SvgIcon,
  },
  data() {
    return {
      showOrigin: false,
      dialogState: false,
      dialogBottomArr: [
        {name: "确定", color: "#CCCCCC"},
        {name: "取消", color: "#000000"},
      ],
    }
  },
  methods: {
    showMessage() {
      this.dialogState = true;
      console.log("dialogBottomArr:" + this.dialogBottomArr)
    }
  }
}
</script>

<template>
  <div>
    <div class="dilink-13">
      <div class="select-body">
        <u-card class="custom-card mb-1" :padding="0">
          <template #left>
            <img src="../../assets/images/setting/energy_list/img_1.webp" alt="">
          </template>
        </u-card>

        <div class="card-group ">
          <div class=" flex flex-jcs flex-center-column card_g1">
            <div>行驶时间</div>
            <div><span class="blue_active">28.6</span><span class="grey_active">h</span></div>
          </div>
          <div class=" flex flex-jcs flex-center-column">
            <div>平均车速</div>
            <div ><span class="blue_active">18</span><span class="grey_active">km/h</span></div>
          </div>
          <div class="clear_button"><span @click="showMessage" class="button_text">数据清零</span></div>
        </div>

        <MainDialog
            :dialogVisible="dialogState"
            :width="909"
            class="dialog-1"
            title="数据清零"
            :bottomArray="dialogBottomArr"
            @changeVisble="e => dialogState = e"
        >
          <template #content>
            <div class="dialog-energy w-full">
              <div class="card_g3 flex flex-jcs flex-center-column mb-6">
                <div>行驶时间</div>
                <div>
                  <SvgIcon icon-class="ic_rectangle" class="rectangle"></SvgIcon>
                </div>
              </div>
              <div class="card_g4 flex flex-jcs flex-center-column">
                <div>平均车速</div>
                <div>
                  <SvgIcon icon-class="ic_rectangle" class="rectangle"></SvgIcon>
                </div>
              </div>
            </div>
          </template>
        </MainDialog>
      </div>

      <div>
        <img
            v-show="!showOrigin"
            src="../../assets/images/setting/beforeCharge/setting_encharge1.webp"
            alt=""
            srcset=""
            class="dilink-13-img1"
        />
      </div>
    </div>
  </div>
</template>

<style scoped lang="scss">
.rectangle {
  width: 34px;
  height: 34px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.dialog-1 {
  ::v-deep .dialog-body {
    padding: 57px 60px 103px;
  }
}
.card-group {
  border-radius: 16px;
  box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.09);
  background: white;
  font-size: 28px;
  font-weight: normal;
  line-height: normal;
  letter-spacing: 0.05em;
  display: flex;
  flex-direction: column;
  padding: 63px 27px 38px 27px;

  .blue_active {
    font-size: 28px;
    font-weight: normal;
    line-height: normal;
    letter-spacing: 0.05em;
    color: #4192EE;
    margin-right: 11px;
  }
  .grey_active {
    font-size: 21px;
    letter-spacing: 0.05em;
    color: #999999;
  }
  .clear_button {
    display: flex;
    justify-content: center;
    align-items: center;
    .button_text {
      width: 188px;
      height: 79px;
      line-height: 79px;
      color: #4192EE;
      border-radius: 39.5px;
      font-size: 27px;
      transform: scale(0.8);
      text-align: center;
      letter-spacing: 0.06em;
      border: 2px solid #4192EE;
      margin-top: 48px;
      padding: 0 28px;
    }
  }
}

.card_g1 {
  margin-bottom: 50px;
}

.card_g2 {
  display: flex;
  div:first-child {
    display: flex;
    flex: 1;
    text-align: left;
  }
  div:last-child {
    display: flex;
    flex: 1;
    justify-content: right;

  }

}

.custom-card {
  width: 688px;
  height: 271px;
  border-radius: 16px;
  background: #FFFFFF;
  box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.09);
  ::v-deep .card-left {
    margin-top: 37px;
    margin-left: 48px;

    img {
      width: 286px;
      object-fit: contain;
    }
  }
}

.dilink-13 {
  position: relative;
  .dilink-13-img1 {
    width: 830px;
    object-fit: contain;
    //height: 582px;
    position: absolute;
    right: 1px;
    top: 185px;
  }
  .e_fistImg {
    img {
      width: 688px;
      height: 271px;
    }
  }
  .select-body {
    width: 688px;
    .card-container {
      margin-bottom: 14px;
    }

  }
}
</style>